Description

Now if qemu virtfs directly call libcephfs api, it need to retranslate iov structure to continuous buffer. We should let libcephfs

read/write support iovec structure to avoid extra memcpy.

Currently it's unimplemented:

extern "C" int64_t ceph_ll_readv(class ceph_mount_info *cmount,

struct Fh *fh, const struct iovec *iov,

int iovcnt, int64_t off) {

return -1; // TODO:  implement

}

extern "C" int64_t ceph_ll_writev(class ceph_mount_info *cmount,

struct Fh *fh, const struct iovec *iov,

int iovcnt, int64_t off) {

return -1; // TODO:  implement

}

History

#1 - 06/06/2015 09:52 AM - Haomai Wang

- Category set to 24

#2 - 06/08/2015 12:48 PM - John Spray

- Project changed from Ceph to CephFS

- Category changed from 24 to 44

#3 - 11/13/2015 02:29 PM - Haomai Wang

- Status changed from New to Resolved

#4 - 07/13/2016 12:58 AM - Greg Farnum

- Component(FS) libcephfs added
